"""
"""
from setuptools import setup, find_packages
import os
import sys
import meta
# def read(fname):
#     return open(os.path.join(os.path.dirname(__file__), fname)).read() 
args    = {
    "name":meta.__app_name__,
    "version":meta.__version__,
    "author":meta.__author__,"author_email":"meta@the-phi.com",
    "license":meta.__license__,
    "packages":["meta","smart","smart.top","smart.folder","smart.logger","smart.files"]
    }
args["keywords"]=['mongodb','couchdb','rabbitmq','file','read','write','s3','sqlite']
args["install_requires"] = ['typer','pandas','numpy','data-transport@git+https://github.com/lnyemba/data-transport.git',"plugin-ix@git+https://dev.the-phi.com/git/library/plugins"]

args["url"] =   "https://dev.the-phi.com/git/steve/smart-top.git"
args['scripts'] = ['bin/smart-logger']
# args['entry_point'] = {'console-scripts':['smart-top=smart-top:main']}
#
#@TODO:
# How to run this from the command line (and submit the data to [file,url,mongodb,couchdb,s3])
#
if sys.version_info[0] == 2 :
    args['use_2to3'] = True
    args['use_2to3_exclude_fixers']=['lib2to3.fixes.fix_import']
setup(**args)

